I installed GNS3 2.1.16 in Manjaro / ArchLinux 2 days ago and today I tried to configure it I got this error.

WaitForConnectionWorker thread stopping with an error: Could not connect to 127.0.0.1 on port 3090: [Errno 111] Conexión rehusada
Could not connect to 127.0.0.1 on port 3090: [Errno 111] Conexión rehusada

I tried to change the port for someone else: 3091, 3099 and others, but it did not help at all. For this reason I thought that the port, the 3090, was busy. Then I used the following command to verify it.

ss -anp | grep 3090

Output when I execute command

And the port is not busy. I allow myself to show you the error that marks me in GNS3:

GNS3 management console.
Running GNS3 version 2.1.16 on Linux (64-bit) with Python 3.7.3 Qt 5.12.2 and PyQt 5.12.1.
Copyright (c) 2006-2019 GNS3 Technologies.
Use Help -> GNS3 Doctor to detect common issues.

=> Local server process has stopped
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (aiohttp 2.2.5 (/usr/lib/python3.7/site-packages), Requirement.parse('aiohttp<2.4.0,>=2.3.3'), {'gns3-server'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/gns3server", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3241, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3225, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3254, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'aiohttp<2.4.0,>=2.3.3' distribution was not found and is required by gns3-server

WaitForConnectionWorker thread stopping with an error: Could not connect to 127.0.0.1 on port 3090: [Errno 111] Conexión rehusada
Could not connect to 127.0.0.1 on port 3090: [Errno 111] Conexión rehusada

Show you the images of errors.

  1. Imagen when GSN3 runs.

  2. Error shown

  3. enter image description here

I really hope your help. Thanks.

1 Answers

0
JK'm On

I have answered my question.

Steps:

  1. Verify which version of aiohttp is being used. In my case it was necessary that the version be ** aiohttp <2.4.0> ** and I had the version ** aiohttp <3.5.x> **. For this reason it was incompatible.

  2. Verify that both gns3-server and gns3-gui are the same version.

[[email protected] ~]$ gns3 --v
2.1.16
[[email protected] ~]$ gns3server --v
2.1.16
  1. If gns3-server or gns3-gui are not the same, we simply update package. For this we use the following command.
> sudo pip3 install gns3-server==2.1.16

or

> sudo pip3 install gns3-gui==2.1.16
  1. We verify the version of aiohttp.
> pip3 list